Subject: Re: linux-next: manual merge of the rdma tree with Linus' tree

From: Leon Romanovsky <[email-masked]>
Date: Fri, 14 Jul 2017 06:34:16 +0300

On Thu, Jul 13, 2017 at 09:17:13PM -0400, Doug Ledford wrote:
> On Fri, 2017-07-14 at 11:14 +1000, Stephen Rothwell wrote:
> > Hi Doug,
> >
> > Today's linux-next merge of the rdma tree got conflicts in:
> >
> >   drivers/infiniband/core/uverbs_cmd.c
> >   drivers/infiniband/core/verbs.c
> >
> > between commit:
> >
> >   d291f1a65232 ("IB/core: Enforce PKey security on QPs")
> >
> > from Linus' tree and commits:
> >
> >   c7c0fb974caa ("IB/core: Introduce modify QP operation with udata")
> >   5f4bc420f35f ("IB/uverbs: Make use of ib_modify_qp variant to avoid
> > resolving DMAC")
> >
> > from the rdma tree.
> >
> > I fixed it up (I used the latter version of uverbs_cmd.c and see
> > below)
> > and can carry the fix as necessary. This is now fixed as far as
> > linux-next
> > is concerned, but any non trivial conflicts should be mentioned to
> > your
> > upstream maintainer when your tree is submitted for merging.  You may
> > also want to consider cooperating with the maintainer of the
> > conflicting
> > tree to minimise any particularly complex conflicts.
>
> This was expected.  The SELinux changes went through the SELinux tree
> and the referenced patches touch the same code.  Your fix is correct.

Sorry Doug, but it is not expected at all for the code which will go to 4.14.

Both patches in question were targeted for 4.13 and you was expected to
see the merge conflicts during last month or so, prior to merge window of 4.13.

In 4.14, you should base your tree on Linus's tree and don't have ANY
conflicts in your subsystem, between ANY subsystems and especially
Linus, so we will be able to develop and test.

For me, this merge conflict puts a large sign, that your tree is not ready for 4.14.

Please base your tree on Linus's tree.

Thanks

> Thanks.
>
> --
> Doug Ledford <[email-masked]>
>     GPG KeyID: B826A3330E572FDD
>     Key fingerprint = AE6B 1BDA 122B 23B4 265B  1274 B826 A333 0E57 2FDD
>